#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>

using namespace sf;

#include <vector>
using namespace std;

#include "../test.hpp"

#define w 800
#define h 600

int main(){

    RenderWindow* app = new RenderWindow(VideoMode(w, h, 32), "B==D");

    //loadtestcd ..
    vector<obj> o = testObj();
    //

    while (app->IsOpened()) 
    {
        //recevoir la event queue
        Event* event = new Event();
        //pour chaque évenement de la queue
        while (app->GetEvent(*event)) 
            if (event->Type == Event::Closed) 
                app->Close();
        //detection de touche sans la queue d'évenement
        //il y a aussi  .GetMouseX .. Y ... .IsMouseButtonDown()
        //enum  	Button { 
        //  Left, 
        //  Right, 
        //  Middle, 
        //  XButton1, 
        //  XButton2, 
        //  ButtonCount 
        //}
        if (app->GetInput().IsKeyDown(Key::Escape)) 
            return EXIT_SUCCESS;

        //clear screen
        app->Clear(Color(255, 255, 255));

        //draw
            Shape Circle;
            for (int i=0;i<o.size();i++)
            {
                Circle = Shape::Circle(o[i].position().getX()*50, 
                                       o[i].position().getY()*50,
                                       o[i].radius()*50, 
                                       Color(125, 200, 240), 1, 
                                       Color(0, 0, 0));
                app->Draw(Circle);
            }
        //draw

        //refresh screen
        app->Display();
    }
    return EXIT_SUCCESS;
}
